## matroxset 0.4

=== Makefile ===
CFLAGS = -O2 -W -Wall
LDFLAGS = -lncurses

all: matroxset

matrox:	matroxset.o

matroxset.o:	matroxset.c

clean:
	-rm *.o matroxset

=== debian/changelog ===
matroxset (0.4-13) unstable; urgency=medium

  * New maintainer. (Closes: #920094)
  * Uploaded sources to Salsa and updated VCS field.
  * debian/salsa-ci.yml: included to provide salsa CI tests.

 -- Regis Fernandes Gontijo <regisfg@gmail.com>  Wed, 10 Jun 2020 06:25:28 +0000

matroxset (0.4-12) unstable; urgency=medium

  * QA upload.
  * Manpage is no more rebuilt. Consequently:
      - debian/clean: removed.
      - debian/matroxset.1: file for the static version of the manpage.
      - debian/matroxset.1.pod: removed.
      - debian/pod2man.mk: removed.
      - debian/rules: removed targets 'man' and 'override_dh_installman'.
  * debian/copyright:
      - reverted license from GPL-2+ to GPL-2 because it is
        the original license.
      - sorted the list of maintainers in the ascending order.
  * debian/rules:
      - cleaned up.
      - removed no longer needed variable 'DEB_CFLAGS_MAINT_APPEND'.
  * debian/tests/control: added 'Restrictions: superficial'.
  * debian/watch: added a fake site since the upstream website is
    permanently unavailable.

 -- Regis Fernandes Gontijo <regisfg@gmail.com>  Sat, 06 Jun 2020 02:34:18 +0000

matroxset (0.4-11) unstable; urgency=medium

  * QA upload.
  * debian/control: added 'Rules-Requires-Root: no'.
  * debian/copyright:
      - added my name for debian/* files.
      - removed Upstream-Contact and X-Comments.
  * debian/examples: removed 'swapit' which points to unknown executable
    at user directory.
  * debian/patches/10-gcc.patch: added patch header.
  * debian/rules: removed no longer needed variable 'DEB_LDFLAGS_MAINT_APPEND'.
  * debian/tests/control: created to provide a trivial CI test. Only tests
    help option, since it doesn't depend on specific hardware.

 -- Regis Fernandes Gontijo <regisfg@gmail.com>  Fri, 22 May 2020 21:45:02 +0000

matroxset (0.4-10) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920094)
  * Using new DH level format. Consequently:
      - debian/compat: file no longer needed. Removed.
      - changed from 'debhelper' to 'debhelper-compat' in Build-Depends
        field and bumped level to 13
  * debian/control:
      - bumped Standards-Version to 4.5.0

 -- Regis Fernandes Gontijo <regisfg@gmail.com>  Sat, 09 May 2020 15:30:47 -0300

matroxset (0.4-9) unstable; urgency=medium

  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/pod2man.mk
    - Make build reproducible (Closes: 782217).
      Patch thanks to Reiner Herrmann <reiner@reiner-h.de>.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 19 Oct 2016 12:48:14 +0300

matroxset (0.4-8) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 14:00:19 -0400

matroxset (0.4-7) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
  * debian/copyright
    - Update to DEP5.
  * debian/patches
    - (10): New. Fix for hardened CFLAGS.
  * debian/rules
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 13 Feb 2012 06:19:12 -0500

matroxset (0.4-6) unstable; urgency=low

  * debian/rules
    - (override_dh_auto_build). New. Fix FTBFS with ld --as-needed.
      Patch thanks to Matthias Klose <doko@ubuntu.com> (Closes: #607586).
  * debian/pod2man.mk
    - Update.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 20 Dec 2010 10:52:15 +0200

matroxset (0.4-5) unstable; urgency=low

  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Homepage): update URL.
    - (Standards-Version): Update to 3.9.1.
  * debian/copyright
    - Update upstream URL information.
  * debian/matroxset.1.pod
    - Update documentation; e.g. document options -e and update upstream
      homepage URL. Patch thanks to Ville Skyttä <ville.skytta@iki.fi>.
  * debian/rules
    - Remove targets handled by dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 23 Nov 2010 22:29:36 +0200

matroxset (0.4-4) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/clean
    - New file. Move content from debian/rules for dh(1).
  * debian/control
    - (Architecture): limit to i386 amd64.
    - (Depends): add ${misc:Depends} for debhelper.
    - (Standards-Version): update to 3.8.3.
  * debian/copyright
    - Use FSF URL (FSF recommendation).
  * debian/debian-vars.mk
    - Delete, obsoleted by dh(1).
  * debian/matroxset.1.pod
    - Add copyright.
  * debian/matroxset.install
    - New file; renamed from "install".
  * debian/README.source
    - Delete, obsoleted by format 3.0.
  * debian/rules
    - Remove rules obsoleted by dh(1).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 19 Dec 2009 19:28:47 +0200

matroxset (0.4-3) unstable; urgency=low

  * New maintainer (Closes: #540820).
  * debian/compat
    - update to 7.
  * debian/control
    - (Homepage): new field.
    - (Build-Depends): debhelper 7.
    - (Standards-Version): update to 3.8.2.
    - (Vcs-*): new fields.
  * debian/copyright
    - update to latest format.
  * debian/rules
    - upgrade to debhelper 7.
    - (man): add new target.
  * debian/watch
    - new file.
  * debian/*.1.pod
    - Convert debian/*.1 manual page into easy-to-maintain *.pod format.
    - Add proper "SEE ALSO" section.
  * debian/*.mk
    - New helper files.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 Aug 2009 06:41:48 +0000

matroxset (0.4-2) unstable; urgency=low

  * New maintainer (Closes: #354625)
  * Fixed new FSF postal address
  * New Standards-Version

 -- Matti Pöllä <mpo@iki.fi>  Wed, 29 Nov 2006 17:20:10 +0200



=== debian/control ===
Source: matroxset
Section: misc
Priority: optional
Maintainer: Regis Fernandes Gontijo <regisfg@gmail.com>
Build-Depends: debhelper-compat (= 13), libncurses5-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/matroxset
Vcs-Git: https://salsa.debian.org/debian/matroxset.git
Homepage: https://www.bglug.ca/matrox_tvout
Rules-Requires-Root: no

Package: matroxset
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: switch output modes, including TV out, of Matrox video cards
 This utility can be used to map heads to outputs, change the output
 mode to monitor, TV, or digital flat panel, display information about
 horizontal and vertical blanking, and view or modify a number of card
 specific controls.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = matroxset
LIBS	= -lncurses

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all

override_dh_auto_build:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $(PACKAGE) matroxset.c $(LIBS)

%:
	dh $@

=== debian/tests/control ===
Test-Command: matroxset -h 2>&1 | grep usage
Restrictions: superficial
